## org.eclipse.emf.cdo.spi.common.revision
Class CDORevisionMerger

    java.lang.Object
      org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl
          org.eclipse.emf.cdo.spi.common.revision.CDORevisionMerger

All Implemented Interfaces:
  CDOFeatureDeltaVisitor

    public class CDORevisionMerger

extends org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl

Since:
  2.0

Constructor Summary
`CDORevisionMerger()`

Method Summary
`void` `merge(InternalCDORevision revision, CDORevisionDelta delta)`
`void` `visit(CDOAddFeatureDelta delta)`
`void` `visit(CDOClearFeatureDelta delta)`
`void` `visit(CDOContainerFeatureDelta delta)`
`void` `visit(CDOMoveFeatureDelta delta)`
`void` `visit(CDORemoveFeatureDelta delta)`
`void` `visit(CDOSetFeatureDelta delta)`
`void` `visit(CDOUnsetFeatureDelta delta)`

Methods inherited from class org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl
`visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDORevisionMerger

    public CDORevisionMerger()

Method Detail

### merge

    public void merge(InternalCDORevision revision,
                      CDORevisionDelta delta)

### visit

    public void visit(CDOMoveFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

### visit

    public void visit(CDOAddFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

### visit

    public void visit(CDORemoveFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

### visit

    public void visit(CDOSetFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

### visit

    public void visit(CDOUnsetFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

### visit

    public void visit(CDOClearFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

### visit

    public void visit(CDOContainerFeatureDelta delta)

  Specified by:
    `visit` in interface `CDOFeatureDeltaVisitor`
  Overrides:
    `visit` in class `org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.